//
//  IOChannel.h
//  STCLabJackDriver
//
//  Created by Corey Stevens on 9/7/2010.
//  Copyright 2010 Starchaser Technology. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "LabJackDevice.h"
#import "LabJackConstants.h"


@interface IOChannel : NSObject {
	uint32 deviceChannelNumber;
	uint32 typeChannelNumber;
	NSString *channelName;
	LJChannelTypes channelType;
	LJChannelModes channelMode;
	BOOL inverted;
	
	bool cachedOutputState;
	double cachedOutputValue;
	
	id channelDevice;
}

@property(retain) NSString *channelName;
@property(readonly) uint32 deviceChannelNumber;
@property(readonly) uint32 typeChannelNumber;
@property(readonly) LJChannelTypes channelType;
@property(readwrite) LJChannelModes channelMode;
@property(readwrite) bool digitalValue;
@property(readwrite) double analogValue;
@property(readwrite) BOOL inverted;

-(void)initWithDevice:(id) device
			  Channel: (uint32) channelNum 
		  TypeChannel: (uint32) typeChannel
				 Type: (LJChannelTypes) type
				 Mode: (LJChannelModes) mode
				 Name: (NSString*) name;

+(IOChannel*)channelWithDevice:(id) device
					  Channel: (uint32) channelNum 
				  TypeChannel: (uint32) typeChannel
						 Type: (LJChannelTypes) type
						 Mode: (LJChannelModes) mode
						 Name: (NSString*) name;
@end
