//
//  RadioDriver.h
//  RadioTest
//
//  Created by Corey Stevens on 8/9/2010.
//  Copyright 2010 Starchaser Technology. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <STCRadioController/RadioDriverDelegate.h>
#import <STCRadioController/RadioEnumerations.h>


@interface RadioDriver : NSObject {
	id controller;
	
	BOOL supportsAM;
	BOOL supportsFM;
	BOOL supportsHD;
	BOOL supportsSirriusXM;
	
	BOOL isOn;
	
	RCRadioBand selectedBand;
	
	int amStation;
	double fmStation;
	double hdStation;
	int sirriusXMStation;
	
}

@property(readonly) BOOL isOn;
@property(readonly) BOOL supportsAM;
@property(readonly) BOOL supportsFM;
@property(readonly) BOOL supportsHD;
@property(readonly) BOOL supportsSirriusXM;
@property RCRadioBand selectedBand;
@property double fmStation;
@property int amStation;
@property double hdStation;
@property int sirriusXMStation;
@property(assign) id controller;

-(RadioDriver*)initWithController:(id)theController;

+(RadioDriver*)RadioDriverWithController:(id)theController;

-(BOOL)supportedHardwareFound;

-(void)powerOn;
-(void)powerOff;

-(BOOL)supportsBand:(RCRadioBand)band;

-(void)tuneToStation:(double)station Band:(RCRadioBand)band;
@end
